/*  ----------------------------------------------------------------------------
    main menu
*/
.td-header-main-menu {
  position: relative;
  z-index: 999;
  padding-right: 48px;

  @media (max-width: @responsive_p_phone_max) {
    padding-right: 64px;
    padding-left: 2px;
  }
}
.td-header-menu-no-search {
  .td-header-main-menu {
    padding-right: 0;
  }
}

/*  ----------------------------------------------------------------------------
    SF menu
*/
.sf-menu,
.sf-menu ul,
.sf-menu li {
  margin: 0;
  list-style: none;
}

/* responsive phone */
@media (max-width: @responsive_p_phone_max) {
  .sf-menu {
    display: none;
  }
}

.sf-menu ul {
  position: absolute;
  top: -999em; //@todo am comentat astea nu mergea meniul pe 3 lvl in jos asa merge cauta dupa 999em mai jos
  width: 10em; /* left offset of submenus need to match (see below) */
}

.sf-menu > li.td-normal-menu > ul.sub-menu {
    left: 0;
    width: 100% !important;

  /* responsive portrait tablet */
  // @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
  //   left: -5px;
  // }
}

.sf-menu ul li {
  width: 100%;
}

.sf-menu li:hover {
  visibility: inherit; /* fixes IE7 'sticky bug' */
}

.sf-menu li {
  float: left;
  position: relative;

  // font awesome in menu
  .fa {
    margin-right: 10px;
    font-size: 1.4em;
    vertical-align: middle;
    position: relative;
    top: -1px;
  }

  .td-only-icon {
    margin-right: 0;
  }
}

.sf-menu .td-menu-item > a {
  display: block;
  position: relative;
}

.sf-menu li:hover ul,
.sf-menu li.sfHover ul {
  left: 0;
  top: auto; //@td_menu_height ; /* match top ul list item height */
  z-index: 99;
}

ul.sf-menu li:hover li ul,
ul.sf-menu li.sfHover li ul {
  top: -999em;
}

ul.sf-menu li li:hover ul,
ul.sf-menu li li.sfHover ul {
  left: 10em; /* match ul width */
  top: 0 !important;
}
ul.sf-menu li li:hover li ul,
ul.sf-menu li li.sfHover li ul {
  top: -999em;
}

// fix the z-index when menu is o 2 lines
.sf-menu > .current-menu-ancestor,
.sf-menu > .current-category-ancestor,
.sf-menu > .current-menu-item {
  z-index: 0;
}
/*  ----------------------------------------------------------------------------
    All the links
*/

/* remove the down arrow on links with  (icons menus) */
.td-no-down-arrow > a {
  .sf-sub-indicator {
    display: none;
  }
}

// top links

.sf-menu > li > a {
  padding: 0 20px 0 20px;
  line-height: 70px !important;
  font-size: 14px;
  color: @td_theme_color2;
  font-weight: 600;
  // text-transform: uppercase;
  -webkit-backface-visibility: hidden; // fix chrome 1px issue

  @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
    padding: 0 20px !important;
  }
  @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
    padding: 0 10px;
    font-size: 11px;
  }
}

/* menu icons */
.sf-menu .menu_icon {
  position: relative;
  top: 13px;
  float: left;
}

.sf-menu .sub-menu .menu_icon {
  top: 0;
}

.sf-menu .menu_hidden {
  display: none !important;
}

/* hover and current menu */
.sf-menu > .current-menu-item > a, // current top menu
.sf-menu > .current-menu-ancestor > a, //current menu parent (top)
.sf-menu > .current-category-ancestor > a,
.sf-menu > li > a:hover, //normal hover
.sf-menu > .sfHover > a //when the submenu is opend
 {
  background-color: transparent;
  z-index: 999;
}

.td-affix {
  /* hover and current menu */
  .sf-menu > .current-menu-item > a, // current top menu
  .sf-menu > .current-menu-ancestor > a, //current menu parent (top)
  .sf-menu > .current-category-ancestor > a,
  .sf-menu > li > a:hover, //normal hover
  .sf-menu > .sfHover > a //when the submenu is opend
 {
    background-color: transparent;
  }
}

/* Bottom border on Main Menu */
.sf-menu > li > a:after {
  background-color: transparent;
  content: '';
  width: 0;
  height: 3px;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  margin: 0 auto;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
  .transition(width 0.2s ease);
}

/* hover and current menu border */
.sf-menu > .current-menu-item > a:after, // current top menu
.sf-menu > .current-menu-ancestor > a:after, //current menu parent (top)
.sf-menu > .current-category-ancestor > a:after,
.sf-menu > li:hover > a:after, //normal hover
.sf-menu > .sfHover > a:after //when the submenu is opend
 {
  background-color: @td_theme_color;
  width: 100%;
}

#td-header-menu {
  display: inline-block;
  vertical-align: top;
}

/*  ----------------------------------------------------------------------------
    submenu
*/
.td-normal-menu ul {
  box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.15);
}
.sf-menu .td-normal-menu ul {
  padding: 15px 0;

  /* responsive portrait tablet */
  @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
    padding: 8px 0;
  }
}
.sf-menu .td-normal-menu ul ul {
  margin: -15px 0;

  /* responsive portrait tablet */
  @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
    margin: -8px 0;
  }
}
.sf-menu ul {
  background-color: #fff;

  .td-menu-item > a {
    padding: 7px 15px;
    font-size: 12px;
    line-height: 20px;
    color: #111;

    // font awesome in menu
    .fa {
      font-size: 1em;
      position: relative;
      top: -1px;
      width: 20px;
      margin-right: 5px;
      text-align: center;
    }

    @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
      padding: 5px 16px 6px;
      font-size: 11px;
    }
  }

  .td-icon-menu-down {
    float: right;
    top: 0;
    font-size: 7px;
  }
}

.sf-menu ul .td-menu-item > a:hover, //normal hover
.sf-menu ul .sfHover > a, //current opend menu
.sf-menu ul .current-menu-ancestor > a, //current ancestor
.sf-menu ul .current-category-ancestor > a, //current ancestor
.sf-menu ul .current-menu-item > a {
  color: @td_theme_color;
}

.sf-menu li:hover,
.sf-menu li.sfHover,
.sf-menu a:focus,
.sf-menu a:hover,
.sf-menu a:active {
  outline: 0;
}

/*  ----------------------------------------------------------------------------
    arrows
*/
.sf-menu {
  .td-icon-menu-down {
    position: absolute;
    top: 50%;
    margin-top: -5px;
    padding-left: 7px;
    font-size: 9px;

    @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
      padding-left: 6px;
    }
  }

  .sub-menu {
    -webkit-backface-visibility: hidden; // fix chrome 1px issue

    .td-icon-menu-down {
      position: absolute;
      top: 50%;
      right: 19px;
      margin-top: -9px;
      line-height: 19px;
    }
  }

  .td-menu-badge {
    font-size: 10px;
    background-color: #f0f8ff;
    color: @td_theme_color;
    border-radius: 10px;
    padding: 1px 7px 2px;
    margin-left: 6px;
    line-height: 1;
    position: relative;
    top: -1px;
  }
}
.td-menu-badge {
  /* responsive portrait phone */
  @media (max-width: @responsive_p_phone_max) {
    display: none;
  }
}

.sf-menu a.sf-with-ul {
  padding-right: 31px;
  min-width: 1px; /* trigger IE7 hasLayout so spans position accurately */

  @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
    padding-right: 22px;
  }
}

/* arrow for all items in the menues */
a.sf-with-ul i.td-icon-menu-down:before {
  content: '\e808';
}
/* arrow for all items in the menues AT FIRST LEVEL*/
ul.sf-js-enabled > li > a > i.td-icon-menu-down:before {
  content: '\e806' !important;
}

/*  ----------------------------------------------------------------------------
    Mega Menu
*/

.td-mega-menu {
  position: static !important;

  ul.sub-menu {
    position: absolute;
    width: 1114px !important;
    height: auto;
    //left: -23px !important;
    left: 50% !important;
    .transform(translateX(-50%));
    display: none;
    border: 1px solid #eaeaea;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);

    @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
      width: 1024px !important;
    }

    /* responsive portrait tablet */
    @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
      width: 786px !important;
    }
  }

  // next-prev
  .td_block_mega_menu .td-next-prev-wrap {
    margin: 0 0 22px 22px;
  }
}

/*

  page in mega menu mega-menu-page

  */

.td-mega-menu-page {
  .td-mega-grid {
    padding: 22px;

    /* responsive landscape tablet */
    @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
      padding: 21px;
    }

    /* responsive portrait tablet */
    @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
      padding: 22px;
    }

    .td_block_wrap {
      padding-bottom: 26px;
    }
  }

  .wpb_content_element {
    clear: both;

    // fix hide block pulldown on blocks
    .td_block_wrap {
      .td-pulldown-filter-display-option {
        display: none;
      }
    }

    // widgets line header
    .widgettitle:after {
      width: 1200px;
    }

    // default lists
    ul {
      display: inline-block !important;
      position: relative !important;
      width: 100% !important;
      border: none !important;
      left: 0 !important;
      top: 0 !important;
      margin-left: 0 !important;
      webkit-box-shadow: none !important;
      -moz-box-shadow: none !important;
      box-shadow: none !important;

      li {
        webkit-box-shadow: none !important;
        -moz-box-shadow: none !important;
        box-shadow: none !important;
        float: none !important;
        width: auto !important;
        line-height: 30px !important;
        margin-left: 0;
        padding: 0 !important;
        list-style-type: disc !important;
        list-style-position: inside;

        ul {
          opacity: 1 !important;
          margin-top: 4px !important;
          margin-left: 21px !important;
          padding-bottom: 0 !important;

          li:last-child {
            border-bottom: 0 !important;
            padding-bottom: 0 !important;
          }
        }

        a {
          background-color: transparent !important;
          line-height: 26px !important;
          padding: 0 !important;
          margin: 0 !important;
          color: #222222 !important;

          i {
            display: none;
          }

          &:hover {
            background-color: transparent !important;
            color: @td_theme_color !important;
          }
        }
      }
    }
  }

  // menu from vc in page
  .vc_wp_custommenu {
    ul li {
      padding: 5px 0 !important;
      border-top: 1px dashed #ededed;
      list-style-type: none !important;

      &:first-child {
        border: none;
      }

      &:last-child {
        border-bottom: 1px dashed #ededed;
      }

      li {
        border-top: 1px dashed #ededed !important;
      }
    }
  }
}

/*

  end fix mega menu with page

*/

.td_block_mega_menu {
  display: table;
  width: 100%;
  margin-bottom: 0 !important;
}

// sub-categories
.td_mega_menu_sub_cats {
  width: 218px;
  max-width: 218px;
  text-align: right;
  display: table-cell;
  height: 100%;
  vertical-align: top;
  padding-top: 22px;
  background-color: #fafafa;
  position: relative;

  @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
    width: 200px;
    max-width: 200px;
  }

  @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
    width: 152px;
    max-width: 152px;
  }

  &:after {
    content: '';
    width: 1px;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    background-color: #eaeaea;
  }

  a {
    display: block;
    font-size: 13px;
    font-weight: 600;
    color: #333;
    padding: 5px 22px;
    position: relative;
    vertical-align: middle;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;

    @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
      padding: 4px 22px;
    }

    @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
      font-size: 11px;
      padding: 3px 22px;
    }
  }

  .cur-sub-cat {
    background-color: #fff;
    color: @td_theme_color;
    border-top: 1px solid #eaeaea;
    border-bottom: 1px solid #eaeaea;

    &:before {
      content: '';
      width: 1px;
      height: 100%;
      position: absolute;
      top: 0;
      right: 0;
      background-color: #fff;
      z-index: 1;
    }
  }
}

.block-mega-child-cats {
  overflow-x: hidden;
  overflow-y: auto;
  max-height: 252px;
  -webkit-overflow-scrolling: touch; //overflow scroll-bar on IOS

  @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
    max-height: 238px;
  }

  @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
    max-height: 224px;
  }
}

.td-mega-row {
  display: table-cell;
  padding: 22px 0 10px 0;

  /* responsive portrait tablet */
  @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
    padding-bottom: 6px;
  }
}

.td-mega-span {
  width: 196px;
  min-height: 202px;
  float: left;
  margin-left: 22px;

  @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
    width: 178px;
    min-height: 189px;
  }

  @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
    width: 130px;
    min-height: 176px;
  }

  .td-module-thumb {
    position: relative;
    margin-bottom: 0;
  }

  .entry-thumb {
    min-height: 135px; // fix the image space on load

    @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
      min-height: 122px;
    }

    @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
      min-height: 89px;
    }
  }

  h3 {
    font-family: @font3;
    font-weight: 500;
    font-size: 13px;
    margin: 7px 0 0;
    line-height: 18px;

    /* responsive portrait tablet */
    @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
      font-size: 12px;
      line-height: 16px;
    }

    a {
      color: #333;
      display: block;
      .transition(color @td_transition_time);

      &:hover {
        color: @td_theme_color;
      }
    }
  }
}

.td_mod_mega_menu:hover .entry-title a {
  color: @td_theme_color;
}

/*  ----------------------------------------------------------------------------
    Social icons
*/
.td-header-menu-social {
  float: right;
  margin-right: 5px;
  line-height: 70px !important;

  .td-social-icon-wrap {
    a {
      color: @td_theme_color2;
    }

    i {
      min-width: 16px;
      font-size: 12px;
      line-height: 24px;
      vertical-align: middle;

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        font-size: 12px !important;
      }
    }
  }

  /* responsive tablet + phone */
  @media (max-width: @responsive_l_tablet_max) {
    display: none;
  }
}
.td-affix .td-header-menu-social {
  line-height: 48px !important;
}
.td-header-menu-no-search .td-header-menu-social {
  margin-right: 0 !important;
}
.td_stretch_content .td-header-menu-social {
  margin-right: 44px;
}

/*  ----------------------------------------------------------------------------
    Search
*/
.header-search-wrap {
  position: absolute;
  top: 0;
  right: 0;
  z-index: 999;
  margin-left: -10px !important;

  .td-icon-search {
    display: inline-block;
    font-size: 19px;
    width: 48px;
    line-height: 70px !important;
    text-align: center;
    color: @td_theme_color2;

    /* responsive portrait tablet */
    @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
      font-size: 15px;
    }

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      height: 54px;
      width: 54px;
      line-height: 54px !important;
      font-size: 22px;
      margin-right: 2px;
    }
  }
}

.td-header-menu-social + .td-search-wrapper #td-header-search-button {
  position: relative;

  &:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 1px;
    height: 100%;
    background-color: @td_theme_color2;
    .opacity(0.08);

    /* responsive tablet + phone */
    @media (max-width: @responsive_l_tablet_max) {
      display: none;
    }
  }
}

// custom menu for long lists
.td-demo-multicolumn-2 {
  .sub-menu {
    padding: 14px;
    -moz-column-count: 2;
    -webkit-column-count: 2;
    column-count: 2;
  }
}
.td-menu-mob-open-menu {
  .td-demo-multicolumn-2 {
    .sub-menu {
      padding: 0;
      -moz-column-count: 1;
      -webkit-column-count: 1;
      column-count: 1;
    }
  }

  .td-demo-menuitem-hide {
    display: none;
  }
}

// hide a menu item
.td-demo-menuitem-hide {
  visibility: hidden;
}

//fix td composer list menu and wp custom menu widget in page mega menu
.td-mega-menu-page {
  .sub-menu {
    ul {
      display: inline-block !important;
      position: initial !important;
      width: auto !important;
    }
  }
}
